Subject: Re: Errors building NNCP with Go 1.22

From: Sergey Matveev <[email-masked]>
Date: Tue, 23 Jul 2024 13:38:14 +0300

Greetings!

*** John Goerzen [2024-07-22 23:51]:
>I received an email earlier this week about problems building NNCP with
>Golang 1.22: [...]

Thanks for the feedback! Have not rebuild NNCP for a long time, although
used Go 1.22 since its release.

>I can confirm that myself.  Maybe the fix would be as easy as updating
>the dependencies?

Because of constant gvisor's API changes it is not so trivial, but I
done that in 8.11.0 release.

>By the way, still going strong with NNCP over here.  The quux.org public
>node is slowly adding new peers also.  Thanks for what you do for NNCP!

Cool! Glad to hear that!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A